{% extends "general/base2.html"%}

{% block title%} {{titulo}} {% endblock %}

{%block content%}
{%load static%}
{% load widget_tweaks%}
{% include "accesopublico/navPrincipal.html" %}

<!--Content right-->
<div class="col-sm-9 col-xs-12 content pt-3">
    <div class="row align-items-center py-3">
        <div class="col-lg-8 col-xl-9 text-center text-lg-left">
            <h5 class="mb-3"><strong> CREACION DE USUARIO</strong></h5>
        </div>
    </div>

    <form enctype="multipart/form-data" method="POST"> {% csrf_token %}
        <div class="row mt-3">
            <div class="col-sm-12 pr-4">
                <!--Striped table-->

                <div class="row mt-0">
                    <div class="col-sm-12 pr-4">
                        <!--Striped table-->
                        <div class="col-sm-12 pr-4">
                            <!--Striped table-->
                            <div class="mt-1 mb-3 p-3 button-container bg-white border shadow-sm pr-2 rounded-xl wizard-card shadow-s align-items-center" data-color="theme" id="wizardProfile">
                                <h5 class="font-weight-700 section-title-4 text-center pb-2 mb-4">
                                    Informaci&oacute;n personal
                                    <div class="title-divider-round mt-3"></div>
                                </h5>
                                <div class="row">
                                    <div class="col-sm-4">
                                        <div class="picture-container">
                                            <div class="picture">
                                                <img src="{% static 'Sleekadmin/assets/img/default-avatar.jpg'%}" class="picture-src" id="wizardPicturePreview" title="" />
                                                {% render_field form2.img class="form-control" name="img" id="wizard-picture" alt=""%}
                                            </div>
                                            <h6>Selecciona la imagen de perfil</h6>
                                        </div>
                                    </div>
                                
                                
                                    <div class="col-md-4 align-items-center align-items-center">
                                        <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                            <label class="text-uppercase">{{ form2.primer_nombre.label }}:</label>
                                            <div class="input-group-inner">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text input-group-icon"><i
                                                            class="fa fa-i-cursor"></i></span>
                                                </div>
                                                {% render_field form2.primer_nombre class="form-control form-control-lg" id="primer_nombre" name="primer_nombre" placeholder="primer nombre"%}
                                                <div class="input-focus-bg"></div>
    
                                            </div>
                                            <span class='text-danger'>{{form2.primer_nombre.errors}}</span>
                                        </div>
                                    </div>
                                    <div class="col-md-4 align-items-center align-items-center">
                                        <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                            <label class="text-uppercase">{{ form2.segundo_nombre.label }}:</label>
                                            <div class="input-group-inner">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text input-group-icon"><i
                                                            class="fa fa-i-cursor"></i></span>
                                                </div>
                                                {% render_field form2.segundo_nombre class="form-control form-control-lg" id="segundo_nombre" name="segundo_nombre" placeholder="segundo nombre"%}
                                                <div class="input-focus-bg"></div>
    
                                            </div>
                                            <span class='text-danger'>{{form2.segundo_nombre.errors}}</span>
                                        </div>
                                    </div>
    
                                    <div class="col-md-4 align-items-center align-items-center">
                                       
                                    </div>
    
                                    <div class="col-md-4 align-items-center align-items-center">
                                        <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                            <label class="text-uppercase">{{ form2.primer_apellido.label }}:</label>
                                            <div class="input-group-inner">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text input-group-icon"><i
                                                            class="fa fa-i-cursor"></i></span>
                                                </div>
                                                {% render_field form2.primer_apellido class="form-control form-control-lg" id="primer_apellido" name="primer_apellido" placeholder="primer apellido"%}
                                                <div class="input-focus-bg"></div>
    
                                            </div>
                                            <span class='text-danger'>{{form2.primer_apellido.errors}}</span>
                                        </div>
                                    </div>
    
                                    <div class="col-md-4 align-items-center align-items-center">
                                        <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                            <label class="text-uppercase">{{ form2.segundo_apellido.label }}:</label>
                                            <div class="input-group-inner">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text input-group-icon"><i
                                                            class="fa fa-i-cursor"></i></span>
                                                </div>
                                                {% render_field form2.segundo_apellido class="form-control form-control-lg" id="segundo_apellido" name="segundo_apellido" placeholder="segundo apellido"%}
                                                <div class="input-focus-bg"></div>
    
                                            </div>
                                            <span class='text-danger'>{{form2.segundo_apellido.errors}}</span>
                                        </div>
                                    </div>
    
                                    
                               
                                </div>
    
                                <div class="row">
                                    <div class="col-md-6 align-items-center align-items-center">
                                        <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                            <label class="text-uppercase">{{ form2.identidad.label }}:</label>
                                            <div class="input-group-inner">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text input-group-icon"><i
                                                            class="fas fa-id-card"></i></span>
                                                </div>
                                                {% render_field form2.identidad class="form-control form-control-lg" id="identidad" name="identidad" placeholder="identidad"%}
                                                <div class="input-focus-bg"></div>
    
                                            </div>
                                            <span class='text-danger'>{{form2.identidad.errors}}</span>
                                        </div>
                                    </div>
    
                                    <div class="col-md-6 align-items-center align-items-center">
                                        <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                            <label class="text-uppercase">{{ form2.telefono.label }}:</label>
                                            <div class="input-group-inner">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text input-group-icon"><i class="fa-solid fa-phone"></i>  </span>
                                                </div>
                                                {% render_field form2.telefono class="form-control form-control-lg" id="telefono" name="telefono" placeholder="telefono"%}
                                                <div class="input-focus-bg"></div>
    
                                            </div>
                                            <span class='text-danger'>{{form2.telefono.errors}}</span>
                                        </div>
                                    </div>
                                    <div class="col-md-4 align-items-center align-items-center">
                                        <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                            <label class="text-uppercase">{{ form2.fecha_nacimiento.label }}:</label>
                                            <div class="input-group-inner">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text input-group-icon"><i class="fa-solid fa-baby"></i></span>
                                                </div>
                                                {% render_field form2.fecha_nacimiento type="date" class="form-control form-control-lg" id="fecha_nacimiento" name="fecha_nacimiento"%}
                                                <div class="input-focus-bg"></div>
    
                                            </div>
                                            <span class='text-danger'>{{form2.fecha_nacimiento.errors}}</span>
                                        </div>
                                    </div>
                                    <div class="col-md-4 align-items-center align-items-center">
                                        <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                            <label class="text-uppercase">{{ form2.sexo.label }}:</label>
                                            <div class="input-group-inner">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text input-group-icon"><i class="fa-solid fa-restroom"></i></span>
                                                </div>
                                                {% render_field form2.sexo class="form-control form-control-lg" id="sexo" name="sexo"%}
                                                <div class="input-focus-bg"></div>
    
                                            </div>
                                            <span class='text-danger'>{{form2.sexo.errors}}</span>
                                        </div>
                                    </div>
    
                                    <div class="col-md-4 align-items-center align-items-center">
                                        <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                            <label class="text-uppercase">{{ form2.correo_institucional.label }}:</label>
                                            <div class="input-group-inner">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text input-group-icon"><i class="fa-solid fa-at"></i></span>
                                                </div>
                                                {% render_field form2.correo_institucional class="form-control form-control-lg" id="correo_institucional" name="correo_institucional" placeholder="correo institucional"%}
                                                <div class="input-focus-bg"></div>
    
                                            </div>
                                            <span class='text-danger'>{{form2.correo_institucional.errors}}</span>
                                        </div>
                                    </div>
    
                                    <div class="col-md-4">
                                        <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                            <label class="text-uppercase">Departamento:</label>
                                            <div class="input-group-inner">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text input-group-icon"><i class="fa-solid fa-map-location-dot"></i></span>
                                                </div>
                                                <select name="departamento" name="departamento" id="departamento" class="form-control form-control-lg" required>
                                                    <option value="" selected> --------------------</option>
                                                    {% for d in depa %}
                                                    <option value="{{ d.id }}" > {{ d.nombre }} </option>
                                                    {% endfor %}
                                                </select>
                                                <div class="input-focus-bg"></div>
                                                
                                            </div>
                                            <span class='text-danger'>{{form.departamento.errors}}</span>
                                        </div>
                                    </div>
    
                                    <div class="col-md-4 align-items-center align-items-center">
                                        <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                            <label class="text-uppercase">{{ form2.domicilio.label }}:</label>
                                            <div class="input-group-inner">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text input-group-icon"><i class="fas fa-map-marker-alt"></i></span>
                                                </div>
                                                {% render_field form2.domicilio class="form-control form-control-lg" id="domicilio" name="domicilio" %}
                                                <div class="input-focus-bg"></div>
    
                                            </div>
                                            <span class='text-danger'>{{form2.domicilio.errors}}</span>
                                        </div>
                                    </div>
    
                                    <div class="col-md-4 align-items-center align-items-center">
                                        <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                            <label class="text-uppercase">{{ form2.direccion.label }}:</label>
                                            <div class="input-group-inner">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text input-group-icon"><i class="fa-solid fa-diamond-turn-right"></i></span>
                                                </div>
                                                {% render_field form2.direccion class="form-control form-control-lg" id="direccion" name="direccion" placeholder="Direccion"%}
                                                <div class="input-focus-bg"></div>
    
                                            </div>
                                            <span class='text-danger'>{{form2.direccion.errors}}</span>
                                        </div>  
                                    </div>

                                    <!-- Campo de FIrma
                                    <div class="col-md-6 align-items-center align-items-center">
                                        <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                            <label class="text-uppercase">{{ form2.firma.label }}:</label>
                                            <div class="input-group-inner">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text input-group-icon"><i class="fa-solid fa-diamond-turn-right"></i></span>
                                                </div>
                                                {% render_field form2.firma class="form-control form-control-lg" id="firma" name="firma" type="file" placeholder="firma"%}
                                                <div class="input-focus-bg"></div>
    
                                            </div>
                                            <span class='text-danger'>{{form2.firma.errors}}</span>
                                        </div>
                                    </div>  -->
                                    <div class="col-md-2"></div>
                                    <div class="col-md-3 mb-4 pr-md-2"><h6>Selecciona la imagen de la firma:</h6></div>
                                    <div class="col-md-4">
                                        <div class="picture-container  mb-4 pr-md-2 ">
                                            <div class="sign">
                                                <img src="{% static 'Sleekadmin/assets/img/firma.png'%}" class="picture-src" id="wizardSignPreview" title="" />
                                                {% render_field form2.firma class="form-control" name="firma" id="wizard-sign" alt=""%}
                                                
                                            </div>
                                            
                                        </div>
                                        
                                    </div>
                                    
    
                                </div>
    
                            </div>
                        </div>
    
                        <div class="mt-1 mb-3 p-3 button-container bg-white border shadow-sm pr-2 rounded-xl shadow-s align-items-center">

                            <h5 class="font-weight-700 section-title-4 text-center pb-2 mb-4">
                                Información Usuario
                                <div class="title-divider-round mt-3"></div>
                            </h5>

                            <div class="form-row ml-5 align-items-center">
                               

                                <div class="col-md-5 align-items-center">
                                    <div
                                        class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">{{ form1.username.label }}:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i
                                                        class="fa fa-i-cursor"></i></span>
                                            </div>
                                            {% render_field form1.username class="form-control form-control-lg" id="username" name="username" placeholder="usuario" %}
                                            <div class="input-focus-bg"></div>

                                        </div>
                                        <span class='text-danger'>{{form1.username.errors}}</span>
                                    </div>
                                </div>

                                <div class="col-md-5 align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                        <label class="text-uppercase">{{ form1.email.label }}:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i
                                                        class="fas fa-envelope-open-text"></i></span>
                                            </div>
                                            {% render_field form1.email class="form-control form-control-lg" id="email" name="email" placeholder="ejemplo@se.gob.edu" %}
                                            <div class="input-focus-bg"></div>

                                        </div>
                                        <span class='text-danger'>{{form1.email.errors}}</span>
                                    </div>
                                </div>

                                <div class="col-md-5 align-items-center align-items-center">
                                    <div
                                        class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">{{ form1.password1.label }}:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i
                                                        class="fa fa-key"></i></span>
                                            </div>
                                            {% render_field form1.password1 class="form-control form-control-lg" id="password1" name="password1" placeholder="password" type="password"%}
                                            <!-- <span class="icon-eye pr-3"><i class="fa fa-eye-slash"></i></span> -->
                                            <div class="input-focus-bg"></div>
                                        </div>
                                        <span class='text-danger'>{{form1.password1.errors}}</span>
                                    </div>
                                </div>

                                <div class="col-md-5 align-items-center align-items-center">
                                    <div
                                        class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">{{ form1.password2.label }}:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i
                                                        class="fa fa-key"></i></span>
                                            </div>
                                            {% render_field form1.password2 class="form-control form-control-lg" id="password2" name="password2" placeholder="confirmacion password" type="password"%}
                                            <div class="input-focus-bg"></div>

                                        </div>
                                        <span class='text-danger'>{{form1.password2.errors}}</span>
                                    </div>
                                </div>



                            </div>

                        </div>
                    </div>


                    <div class="col-sm-12 pr-4">
                        <!--Striped table-->
                        <div class="mt-1 mb-3 p-3 button-container bg-white border shadow-sm pr-2 rounded-xl shadow-s align-items-center">

                            <h5 class="font-weight-700 section-title-4 text-center pb-2 mb-4">
                                Permisos de usuario
                                <div class="title-divider-round mt-3"></div>
                            </h5>

                            <div class="d-flex w-100 align-items-center justify-content-between pt-1 pb-3 mb-4 ml-3">

                                <div class="pr-4">
                                    <h6 class="font-weight-700">Administrador</h6>
                                    </h6>
                                    <p class="mb-0">Podra acceder al panel de administrador.</p>
                                </div>

                                <div class="custom-control custom-switch mr-5">
                                    {% render_field form1.is_superuser type="checkbox" class="custom-control-input" id="customSwitch1" %}
                                    <label class="custom-control-label" for="customSwitch1"></label>
                                </div>

                            </div>

                            <div class="d-flex w-100 align-items-center justify-content-between pt-1 pb-3 mb-4 ml-3">

                                <div class="pr-4">
                                    <h6 class="font-weight-700"> Unidad</h6>
                                    </h6>
                                    <p class="mb-0">Podra acceder al panel de Jefe de Unidad.</p>
                                </div>

                                <div class="custom-control custom-switch mr-5">
                                    <input type="checkbox" name="is_unidad" id="customSwitch4" class="custom-control-input">
                                    <label class="custom-control-label" for="customSwitch4"></label>
                                </div>

                            </div>

                            <div class="d-flex w-100 align-items-center justify-content-between pt-1 pb-3 mb-4 ml-3">

                                <div class="pr-4">
                                    <h6 class="font-weight-700"> Dependencia</h6>
                                    </h6>
                                    <p class="mb-0">Podra acceder al panel de Jefe de Dependencia.</p>
                                </div>

                                <div class="custom-control custom-switch mr-5">
                                    <input type="checkbox" name="is_dependencia" id="customSwitch5" class="custom-control-input">
                                    <label class="custom-control-label" for="customSwitch5"></label>
                                </div>

                            </div>


                            <div class="d-flex w-100 align-items-center justify-content-between  pt-1 pb-3 mb-4 ml-3">

                                <div class="pr-4">
                                    <h6 class="font-weight-700">Usuario con todos los permisos</h6>
                                    <p class="mb-0">Podra acceder al panel de administrador.</p>
                                </div>

                                <div class="custom-control custom-switch mr-5">
                                    {% render_field form1.is_active type="checkbox" class="custom-control-input" id="customSwitch2" %}
                                    <label class="custom-control-label" for="customSwitch2"></label>
                                </div>

                            </div>


                            <div class="d-flex w-100 align-items-center justify-content-between mb-4 ml-3">

                                <div class="pr-4">
                                    <h6 class="font-weight-700">Usuario Activo</h6>
                                    <p class="mb-0">Es un usuario activo.</p>
                                </div>

                                <div class="custom-control custom-switch mr-5">
                                    {% render_field form1.is_staff type="checkbox" class="custom-control-input" id="customSwitch3" %}
                                    <label class="custom-control-label" for="customSwitch3"></label>
                                </div>

                            </div>



                        </div>
                    </div>

                   

                    <div class="col-12">
                        <div class="text-md-right">
                            <a href="/cuentas/cuenta" class="btn btn-lg btn-round btn-outline-primary">Cancelar</a>
                            <button type="submit" class="btn btn-lg btn-round btn-primary ml-2"> Guardar
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>
<!--/Striped table-->
</div>
</div>
<!--GO TO THE TOP-->
<div class="go-to-top go-top-fadeInRight">
    <a href="#" class="rounded-circle"><i class="fas fa-chevron-up"></i></a>
</div>
</div>


{% include "general/footer.html" %}
{%endblock%}
{% block js%}
<script>
     

    $("#departamento").change(function(){
        $("#domicilio").html('<option value="0" selected disabled>--------</option>');
        dep = $(this).val();
        $.ajax({
            url: "{% url 'general:ajaxmun' %}",
            type: 'GET',
            data:{
                data: 'municipios',
                dep: dep
            }
        }).done(function(data){
            $.each(data, function(key, val){
                $("#domicilio").append('<option value='+val.id+'>'+val.nombre+'</option');
            });
        });
    });
</script>
{% endblock %}